Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.el.lang
Class FunctionMapperImpl.Function

    java.lang.Object
      org.apache.struts2.el.lang.FunctionMapperImpl.Function

All Implemented Interfaces:
  Externalizable, Serializable

Enclosing class:
  FunctionMapperImpl

    public static class FunctionMapperImpl.Function

extends Object
implements Externalizable

See Also:
  Serialized Form

Field Summary
`protected String` | `localName`
`protected Method` | `m`
`protected String` | `name`
`protected String` | `owner`
`protected String` | `prefix`
`protected String[]` | `types`

Constructor Summary
`FunctionMapperImpl.Function()`
`FunctionMapperImpl.Function(String prefix, String localName, Method m)`

Method Summary
`boolean` | `equals(Object obj)`
`Method` | `getMethod()`
`int` | `hashCode()`
`boolean` | `matches(String prefix, String localName)`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m

    protected transient Method m

### owner

    protected String owner

### name

    protected String name

### types

    protected String[] types

### prefix

    protected String prefix

### localName

    protected String localName

Constructor Detail

### FunctionMapperImpl.Function

    public FunctionMapperImpl.Function(String prefix,
                                       String localName,
                                       Method m)

### FunctionMapperImpl.Function

    public FunctionMapperImpl.Function()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getMethod

    public Method getMethod()

### matches

    public boolean matches(String prefix,
                           String localName)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.